package org.gcube.data_catalogue.grsf_publish_ws.utils;


/**
 * Helper methods
 * @author Costantino Perciante at ISTI-CNR (costantino.perciante@isti.cnr.it)
 */
public abstract class HelperMethods {

	public static String getGroupNameOnCkan(String origName){
		
		if(origName == null)
			throw new IllegalArgumentException("origName cannot be null");
		
		return origName.trim().toLowerCase().replaceAll("[^A-Za-z0-9_.]", "_");
		
	}
	
}
